Subject: bug#38133: 27.0.50; compiling master and core dump with r139382-1

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Nov 2019 18:11:28 +0200

> From: andrés ramírez <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 08 Nov 2019 15:43:33 +0000
> 
> Eli> Can you start Emacs from GDB, and post the backtrace from the
> Eli> crash?
> 
> I have done it on the first mail (bug report).

I thought that was from a core dump?

If that was from a running Emacs, then why don't I see what fatal
signal crashed Emacs?  It is the first thing GDB announces when a
debugged program crashes.  If you elided that, please post that part,
it's important.

> Eli> Also, did you specify these link switches:
> Eli>    LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now
> 
> No. I am just packaging master with default flags but no LDFLAGS
> especified on the script (I have re-checked it).

So where do they come from?  Do you see them in src/Makefile?

> I Got a different issue which i workarounded two lines below:
> 
> mkdir build; cd build; ../configure .....; make (got an error)
> gcc: error: ../lwlib/liblw.a: No such file or directory
> 
> then i did
> --8<---------------cut here---------------start------------->8---
> cp ../lwlib/liblw.a lwlib/
> --8<---------------cut here---------------end--------------->8---
> 
> and make ended sucessfully.

Does this mean liblw.a was created in the source directory, not in the
build directory?